unit LDN006u1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls, IniFiles;

type

  { TLDN006f1 }

  TLDN006f1 = class(TForm)
    laTxtPrevOpening: TLabel;
    laTxtDateTimeOfThisOpening: TLabel;
    laThisOpening: TLabel;
    laPrevOpening: TLabel;
    Memo1: TMemo;
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
    bPrevOpening, bThisOpening:byte;
  public
    { public declarations }
  end;

var
  LDN006f1: TLDN006f1;

implementation

{$R *.lfm}

{ TLDN006f1 }

procedure TLDN006f1.FormCreate(Sender: TObject);
var wHour, wMin, wSec, wMilli : Word;//Needed for DecodeTime
    dfIniFile:TIniFile;//"df" in name from "datafile". Could be anything.
begin
  Memo1.Visible:=false;
  DecodeTime(now, wHour, wMin, wSec,wMilli);//Build into Lazarus and Delphi
      //"now" is a built in function to pick up the current time from your system.
  bThisOpening:=wMin;
  laThisOpening.caption:=inttostr(bThisOpening);

  //Heart if reading from ini file
  dfIniFile:=TIniFile.Create('LDN006ini.txt');

  with dfIniFile do begin
     bPrevOpening:=ReadInteger('Previously','Opened At',255);
     LDN006f1.top   :=ReadInteger('Position and size','Top of window- from top of screen',10);
     LDN006f1.left  :=ReadInteger('Position and size','Left',30);
     LDN006f1.height:=ReadInteger('Position and size','Height',100);
     LDN006f1.width :=ReadInteger('Position and size','Width',500);

  end;//with...

  dfIniFile.Free;
//End of "Heart of...."

//Now use what you read....
  if bPrevOpening=255
    then laPrevOpening.caption:='No record of previous opening'//no ; here
    else laPrevOpening.caption:=IntToStr(bPrevOpening);

//Update the variable holding "when was previous opening", so that it
//  reflects THIS opening. (We will save this in a moment.)
  bPrevOpening:=wMin;

end;//FormCreate

procedure TLDN006f1.FormClose(Sender: TObject; var CloseAction: TCloseAction);
var dfIniFile:TInifile;
    sTmp:string;
begin
 sTmp:='LDN006ini.txt';
 if FileExists(sTmp)=false then begin
    Memo1.lines.Clear;
    Memo1.lines.Add(';ini file for LDN006');
    Memo1.lines.Add(';');
    Memo1.lines.Add('[Previously]');
    Memo1.lines.Add(';Records minutes past hour application last opened.');
    Memo1.lines.Add('Opened At=255');
    Memo1.lines.Add('[Position and size]');
    Memo1.lines.Add(';Records position and size of application''s form');
    Memo1.lines.Add('Top of window- from top of screen=10');
    Memo1.lines.Add('Left=50');
    Memo1.lines.Add('Height=65');
    Memo1.lines.Add('Width=620');

    Memo1.Lines.savetofile(sTmp);
    end;

 dfIniFile:=TIniFile.Create(sTmp);
 with dfIniFile do begin
  WriteInteger('Previously','Opened At',bPrevOpening);

  WriteInteger('Position and size','Top of window- from top of screen',LDN006f1.top);
  WriteInteger('Position and size','Left',  LDN006f1.left);
  WriteInteger('Position and size','Height',LDN006f1.height);
  WriteInteger('Position and size','Width', LDN006f1.width);

  end;//with...
 dfIniFile.Free;

end;


end.
